compact.hpp File Reference
`#include <algorithm>`
`#include <type_traits>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Extensional
| Extensional propagators

## Functions

template<class View>
ExecStatus | Gecode::Int::Extensional::postposcompact (Home home, ViewArray< View > &x, const TupleSet &ts)
| Post function for positive compact table propagator.
template<class View>
ExecStatus | Gecode::Int::Extensional::postnegcompact (Home home, ViewArray< View > &x, const TupleSet &ts)
| Post function for compact table propagator.
template<class View, class CtrlView, ReifyMode rm>
ExecStatus | Gecode::Int::Extensional::postrecompact (Home home, ViewArray< View > &x, const TupleSet &ts, CtrlView b)
| Post function for compact table propagator.